Subject: Re: [PATCH v2 net-next] net/mlx5e: Report rx_discards_phy via rx_fifo_errors

From: Jakub Kicinski <[email-masked]>
Date: Fri, 15 Nov 2024 14:42:14 -0800

On Fri, 15 Nov 2024 14:09:02 -0800 Saeed Mahameed wrote:
> >> rx_dropped: Number of packets received but not processed,
> >>   *   e.g. due to lack of resources or unsupported protocol.
> >>   *   For hardware interfaces this counter may include packets discarded
> >>   *   due to L2 address filtering but should not include packets dropped
> >>                                   ^^^^^^^^^^^^^^
> >>   *   by the device due to buffer exhaustion which are counted separately in
> >>                            ^^^^^^^^^^^^^^^^^
> >>   *   @rx_missed_errors (since procfs folds those two counters together).
> >>       ^^^^^^^^^^^^^^^^^  
> >
> >I presume you quote this comment to indicate the rx_dropped should
> >count packets dropped due to buffer exhaustion? If yes then you don't
> >understand the comment. If no then I don't understand why you're
> >quoting it.
> 
> I quoted this because you suggested to use rx_dropped. It's not a good fit.
> In your previous reply you said: 
> "but honestly I'd just make sure they are counted in rx_dropped"

The comment just says not to add what's already counted in missed,
because profcs adds the two and we'd end up double counting.